Index: admin/_charte.php
===================================================================
--- admin/_charte.php	(revision 3770)
+++ admin/_charte.php	(revision 3771)
@@ -333,5 +333,5 @@
                     </p>
                 <h3 id="prevnext">Navigation contextuelle</h3>
-                    <p><a title="Titre du lien" href="http://fr.dotclear.org/blog" class="onblog_link outgoing">Lien vers le blog <img alt="" src="images/outgoing-blue.png" /></a></p>
+                    <p><a title="Titre du lien" href="http://fr.dotclear.org/blog" class="onblog_link outgoing">Lien vers le blog <img alt="" src="images/outgoing-link.svg" /></a></p>
                     <p class="nav_prevnext"><a title="Titre de l'élément précédente" href="post.php?id=4145">«&nbsp;Élément précédent</a> | <a title="Titre de l'élément suivant" href="#">Élément suivant&nbsp;»</a></p>
 
Index: admin/images/outgoing-link.svg
===================================================================
--- admin/images/outgoing-link.svg	(revision 3771)
+++ admin/images/outgoing-link.svg	(revision 3771)
@@ -0,0 +1,3 @@
+<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 -256 1850 1850">
+	<path d="M1438.373 818.949v320q0 119-84.5 203.5t-203.5 84.5h-832q-119 0-203.5-84.5t-84.5-203.5v-832q0-119 84.5-203.5t203.5-84.5h704q14 0 23 9t9 23v64q0 14-9 23t-23 9h-704q-66 0-113 47t-47 113v832q0 66 47 113t113 47h832q66 0 113-47t47-113v-320q0-14 9-23t23-9h64q14 0 23 9t9 23zm384-864v512q0 26-19 45t-45 19q-26 0-45-19l-176-176-652 652q-10 10-23 10t-23-10l-114-114q-10-10-10-23t10-23l652-652-176-176q-19-19-19-45t19-45q19-19 45-19h512q26 0 45 19t19 45z" fill="#76c2f1"/>
+</svg>
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 3731)
+++ admin/index.php	(revision 3771)
@@ -119,5 +119,5 @@
         foreach ($__resources['doc'] as $k => $v) {
             $doc_links .= '<li><a class="outgoing" href="' . $v . '" title="' . $k . '">' . $k .
-                ' <img src="images/outgoing-blue.png" alt="" /></a></li>';
+                ' <img src="images/outgoing-link.svg" alt="" /></a></li>';
         }
 
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 3768)
+++ admin/js/common.js	(revision 3771)
@@ -456,5 +456,5 @@
     $(this).prop('title', $(this).prop('title') + ' (' + dotclear.msg.new_window + ')');
     if (!$(this).hasClass('outgoing')) {
-      $(this).append('&nbsp;<img src="images/outgoing-blue.png" alt=""/>');
+      $(this).append('&nbsp;<img class="outgoing-js" src="images/outgoing-link.svg" alt=""/>');
     }
   }).click(function(e) {
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 3731)
+++ admin/post.php	(revision 3771)
@@ -434,5 +434,5 @@
 
 if ($post_id && $post->post_status == 1) {
-    echo '<p><a class="onblog_link outgoing" href="' . $post->getURL() . '" title="' . html::escapeHTML($post_title) . '">' . __('Go to this entry on the site') . ' <img src="images/outgoing-blue.png" alt="" /></a></p>';
+    echo '<p><a class="onblog_link outgoing" href="' . $post->getURL() . '" title="' . html::escapeHTML($post_title) . '">' . __('Go to this entry on the site') . ' <img src="images/outgoing-link.svg" alt="" /></a></p>';
 }
 if ($post_id) {
Index: admin/services.php
===================================================================
--- admin/services.php	(revision 3731)
+++ admin/services.php	(revision 3771)
@@ -54,5 +54,5 @@
                     foreach ($feed->items as $item) {
                         $dt = isset($item->link) ? '<a href="' . $item->link . '" class="outgoing" title="' . $item->title . '">' .
-                        $item->title . ' <img src="images/outgoing-blue.png" alt="" /></a>' : $item->title;
+                        $item->title . ' <img src="images/outgoing-link.svg" alt="" /></a>' : $item->title;
 
                         if ($i < 3) {
Index: admin/style/default-dark.css
===================================================================
--- admin/style/default-dark.css	(revision 3770)
+++ admin/style/default-dark.css	(revision 3771)
@@ -907,4 +907,13 @@
   border-bottom: none;
   text-decoration: none; }
+
+a.outgoing img, .outgoing-js {
+  width: .75em;
+  filter: contrast(100%); }
+  #header a.outgoing img, #header .outgoing-js {
+    width: 1.25em;
+    padding: 0 0 0 .5em;
+    vertical-align: initial;
+    filter: contrast(100%); }
 
 input[type=text],
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 3770)
+++ admin/style/default.css	(revision 3771)
@@ -907,4 +907,13 @@
   border-bottom: none;
   text-decoration: none; }
+
+a.outgoing img, .outgoing-js {
+  width: .75em;
+  filter: contrast(50%); }
+  #header a.outgoing img, #header .outgoing-js {
+    width: 1.25em;
+    padding: 0 0 0 .5em;
+    vertical-align: initial;
+    filter: contrast(100%); }
 
 input[type=text],
Index: admin/style/scss/partials/_markup.scss
===================================================================
--- admin/style/scss/partials/_markup.scss	(revision 3770)
+++ admin/style/scss/partials/_markup.scss	(revision 3771)
@@ -210,2 +210,13 @@
 	text-decoration: none;
 }
+
+a.outgoing img, .outgoing-js {
+  width: .75em;
+  filter: contrast($outgoing-link-filter);
+  #header & {
+    width: 1.25em;
+    padding: 0 0 0 .5em;
+    vertical-align: initial;
+    filter: contrast(100%);
+  }
+}
Index: admin/style/scss/themes/_dark.scss
===================================================================
--- admin/style/scss/themes/_dark.scss	(revision 3770)
+++ admin/style/scss/themes/_dark.scss	(revision 3771)
@@ -151,4 +151,6 @@
 $discrete-link-color:             $body-color;
 
+$outgoing-link-filter:            100%;
+
 // Forms
 
Index: admin/style/scss/themes/_light.scss
===================================================================
--- admin/style/scss/themes/_light.scss	(revision 3770)
+++ admin/style/scss/themes/_light.scss	(revision 3771)
@@ -150,4 +150,6 @@
 $discrete-link-color:             $gray-very-dark;                    // #323232
 
+$outgoing-link-filter:            50%;
+
 // Forms
 
Index: admin/update.php
===================================================================
--- admin/update.php	(revision 3731)
+++ admin/update.php	(revision 3771)
@@ -183,5 +183,5 @@
         '<p class="static-msg">' . sprintf(__('Dotclear %s is available.'), $new_v) .
             ($version_info ? ' <a href="' . $version_info . '" class="outgoing" title="' . __('Information about this version') . '">(' .
-            __('Information about this version') . ')&nbsp;<img src="images/outgoing.png" alt=""/></a>' : '') .
+            __('Information about this version') . ')&nbsp;<img src="images/outgoing-link.svg" alt=""/></a>' : '') .
             '</p>';
         if (version_compare(phpversion(), $updater->getPHPVersion()) < 0) {
Index: admin/users_actions.php
===================================================================
--- admin/users_actions.php	(revision 3731)
+++ admin/users_actions.php	(revision 3771)
@@ -209,5 +209,5 @@
             '<td class="maximal">' . html::escapeHTML($rs->blog_name) . '</td>' .
             '<td class="nowrap"><a class="outgoing" href="' . html::escapeHTML($rs->blog_url) . '">' . html::escapeHTML($rs->blog_url) .
-            ' <img src="images/outgoing-blue.png" alt="" /></a></td>' .
+            ' <img src="images/outgoing-link.svg" alt="" /></a></td>' .
             '<td class="nowrap">' . $core->countBlogPosts($rs->blog_id) . '</td>' .
                 '<td class="status">' . $img_status . '</td>' .
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 3770)
+++ inc/admin/lib.dc.page.php	(revision 3771)
@@ -230,5 +230,5 @@
         $blog_box .
         '<p><a href="' . $core->blog->url . '" class="outgoing" title="' . __('Go to site') .
-        '">' . __('Go to site') . '<img src="images/outgoing.png" alt="" /></a>' .
+        '">' . __('Go to site') . '<img src="images/outgoing-link.svg" alt="" /></a>' .
         '</p></form>' .
         '<ul id="top-info-user">' .
Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 3746)
+++ inc/admin/lib.pager.php	(revision 3771)
@@ -752,5 +752,5 @@
             '<a class="outgoing" href="' .
             html::escapeHTML($this->rs->blog_url) . '">' . html::escapeHTML($this->rs->blog_url) .
-            ' <img src="images/outgoing-blue.png" alt="" /></a></td>',
+            ' <img src="images/outgoing-link.svg" alt="" /></a></td>',
             'posts'  =>
             '<td class="nowrap count">' .
Index: plugins/pages/page.php
===================================================================
--- plugins/pages/page.php	(revision 3731)
+++ plugins/pages/page.php	(revision 3771)
@@ -360,5 +360,5 @@
 
 if ($post_id && $post->post_status == 1) {
-    echo '<p><a class="onblog_link outgoing" href="' . $post->getURL() . '" title="' . html::escapeHTML($post_title) . '">' . __('Go to this page on the site') . ' <img src="images/outgoing-blue.png" alt="" /></a></p>';
+    echo '<p><a class="onblog_link outgoing" href="' . $post->getURL() . '" title="' . html::escapeHTML($post_title) . '">' . __('Go to this page on the site') . ' <img src="images/outgoing-link.svg" alt="" /></a></p>';
 }
 
